/// <reference types="core-js" />
import { Observable } from 'rxjs';
import { DefaultTheme } from '../componentsDefaultTheme';
import { IWaitValue } from '../../services/async/async.service';
export { IWaitValue };
export declare class BusyComponent {
    loading: boolean;
    size: string;
    useDefaultTheme: boolean;
    constructor(defaultTheme: DefaultTheme);
    waitOn<T>(waitOn: Observable<T> | Promise<T> | boolean): Observable<T>;
    waitOnObservableNext<T>(waitOn: Observable<T>): Observable<T>;
    waitOnObservableCompletion<T>(waitOn: Observable<T>): Observable<T>;
    setBusy(waitOn: boolean): void;
}
